Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882491 - Can't login after fedup upgrade from Fedora 17 to 18Beta
Summary: Can't login after fedup upgrade from Fedora 17 to 18Beta
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 882492 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-01 11:42 UTC by benjamin
Modified: 2014-02-05 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:29:20 UTC
Type: Bug


Attachments (Terms of Use)

Description benjamin 2012-12-01 11:42:04 UTC
Description of problem:

After upgrading to Fedora 18 Beta I can't login anymore using the Gnome login screen. I always get "Authentication failure"

Version-Release number of selected component (if applicable):

18 Beta

How reproducible:

Always

Steps to Reproduce:
1. Upgrade Fedora 17 to 18 Beta
2. reboot
3. login and get the error above
  
Actual results:

"Authentication failure", login via terminal works though

Expected results:

Log into user account

Additional info:

Comment 1 Peter Williams 2012-12-13 05:06:30 UTC
I'm getting a similar problem on new 18 Beta installation with Cinnamon.

Main difference is I don't get an "Authentication Failure" but instead am returned to the login screen with a green tick next to my name and a message to the effect that I'm currently logged in but I'm still stuck at the login screen.

I can successfully login as both myself and root via a terminal.

I did a "yum update" from the terminal and tried again but the result remains the same.

In case it's relevant, the installation is in a KVM instance running under Fedora 17.

Comment 2 Peter Williams 2012-12-30 03:33:24 UTC
I've had a chance to look at this problem more closely and have discovered what the problem was.  Even though I had selected Cinnamon as the window management system during installation, the cinnamon packages were not installed which left gdm trying to start a window manager that wasn't there and as I'd asked for cinnamon and only cinnamon there were no other window managers installed either hence I get stuck at the login screen.

Obtaining a terminal session via Ctl-Alt-? and running:

yum install cinnamon

fixed the problem and I can now log in without any problems.

Hope this helps,
Thanks
Peter

Comment 3 Michael Schwendt 2013-03-03 19:01:52 UTC
*** Bug 882492 has been marked as a duplicate of this bug. ***

Comment 4 Lamont Peterson 2013-03-30 18:12:48 UTC
I have done a fresh install of Fedora 18 (released) and found a few odd problems during the process (including firstboot's "Finish" button does absolutely nothing, very annoying).

The worst is that once I was up to where a login is prompted, I am unable to login.  The graphical installer just says that whatever desktop I try "encountered an error" and bails out (exiting the X11 server, and a new one starts and I'm back at the greeter.

So, try a text login on another TY?  Sure, and that immediately exists, reseting (clearing) the screen if I put in correct credentials (if the user/password is wrong, then I just get another login prompt without the screen clearing, of course, so it's easy to tell that I did get the credentials right).

Booting to a rescue environment (which can't find Fedora installs on encrypted disks, BTW), I'm looking at logs and find in /var/log/secure that I've successfully logged in (session opened) only to immediately see the session get closed.  This is true with any account, root or my user, etc.

I've dug through all the pam config, all the logs, the /etc/security/ /etc/default/ directories, and everything else I can think of (/etc/init/, /etc/X11/).  It's obviously something not set up right with the user accounts, that is universal (affecting all accounts), but what?

I'll keep digging.  I'm trying with SELinux disabled now, which is not an acceptable solution, of course.

Comment 5 Fedora End Of Life 2013-12-21 09:35:43 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2014-02-05 13:29:22 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.